MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028558Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-03-15 11:092017-09-29 16:24
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028558: Test bugs modalg_6 bug26150_17 is failed with FPE switched on
DescriptionThe test case bugs modalg_6 bug26150_17 is failed with FPE signals switched on.
To reproduce it, set CSF_FPE to 1 before running the test.
Exception is raised:
An exception was caught 000001E391165520 : Standard_DivideByZero: FLT DIVIDE BY ZERO
Steps To Reproduce#CSF_FPE=1
test bugs modalg_6 bug26150_17
TagsNo tags attached.
Test case numberbugs modalg_6 bug26150_17
Attached Files

- Relationships
related to 0026150closedbugmaster Community BRepOffsetAPI_ThruSections doesn't implement history method Generated(). 

-  Notes
(0064331)
msv (developer)
2017-03-15 11:10

Dear Julia, the pointed test case was added with the recent integration of the fix for 0026150.
(0064341)
emv (developer)
2017-03-15 14:19

Test case bugs modalg_6 bug26150_18 is failing too with the same exception.
(0064347)
git (administrator)
2017-03-15 16:37

Branch CR28558 has been created by jgv.

SHA-1: 2e3a707f757d88a43a404b5bfdcf914672b439aa


Detailed log of new commits:

Author: jgv
Date: Wed Mar 15 16:36:47 2017 +0300

    0028558: Test bugs modalg_6 bug26150_17 is failed with FPE switched on
    
    Avoid division by zero in the method BRepFill_CompatibleWires::SameNumberByACR.
(0064348)
jgv (developer)
2017-03-15 16:37

Please review the branch CR28558.
(0064352)
msv (developer)
2017-03-15 17:50

Reviewed.
(0064371)
mkv (tester)
2017-03-16 12:40

Dear BugMaster,
Branch CR28558 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2e3a707f757d88a43a404b5bfdcf914672b439aa

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1187

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28558-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_17.html [^]
http://occt-tests/CR28558-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_17.html [^]
bugs modalg_6 bug26150_17: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92355133 / 92365562 [-0.01%]
Total CPU difference: 19928.340000000164 / 19840.9400000004 [+0.44%]
products component :
Total MEMORY difference: 31097269 / 31147739 [-0.16%]
Total CPU difference: 5495.039999999991 / 5456.869999999986 [+0.70%]

Testing on Windows:
occt component :
Total MEMORY difference: 57671668 / 57663643 [+0.01%]
Total CPU difference: 18662.05642779864 / 18635.5206576986 [+0.14%]
products component :
Total MEMORY difference: 22289652 / 22249574 [+0.18%]
Total CPU difference: 5522.029797399978 / 5512.435735899986 [+0.17%]

There are no differences in images found by testdiff.
(0064372)
mkv (tester)
2017-03-16 12:40

Dear BugMaster,
Branch CR28558 is TESTED.
(0064443)
git (administrator)
2017-03-20 14:32

Branch CR28558 has been deleted by inv.

SHA-1: 2e3a707f757d88a43a404b5bfdcf914672b439aa

- Related Changesets
occt: master 176a7959
Timestamp: 2017-03-15 13:36:47
Author: jgv
Committer: bugmaster
Details ] Diff ]
0028558: Test bugs modalg_6 bug26150_17 is failed with FPE switched on

Avoid division by zero in the method BRepFill_CompatibleWires::SameNumberByACR.
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-15 11:09 msv New Issue
2017-03-15 11:09 msv Assigned To => msv
2017-03-15 11:10 msv Note Added: 0064331
2017-03-15 11:10 msv Assigned To msv => jgv
2017-03-15 11:10 msv Status new => assigned
2017-03-15 11:10 msv Relationship added related to 0026150
2017-03-15 14:19 emv Note Added: 0064341
2017-03-15 16:37 git Note Added: 0064347
2017-03-15 16:37 jgv Note Added: 0064348
2017-03-15 16:37 jgv Assigned To jgv => msv
2017-03-15 16:37 jgv Status assigned => resolved
2017-03-15 17:50 msv Note Added: 0064352
2017-03-15 17:50 msv Assigned To msv => bugmaster
2017-03-15 17:50 msv Status resolved => reviewed
2017-03-15 18:50 mkv Assigned To bugmaster => mkv
2017-03-16 12:40 mkv Note Added: 0064371
2017-03-16 12:40 mkv Note Added: 0064372
2017-03-16 12:40 mkv Assigned To mkv => bugmaster
2017-03-16 12:40 mkv Status reviewed => tested
2017-03-16 12:40 mkv Test case number => bugs modalg_6 bug26150_17
2017-03-17 14:28 bugmaster Changeset attached => occt master 176a7959
2017-03-17 14:28 bugmaster Status tested => verified
2017-03-17 14:28 bugmaster Resolution open => fixed
2017-03-20 14:32 git Note Added: 0064443
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker